---
layout: mockup
title: "Clocks - Timer"
theme: Adwaita/Adwaita.css
permalink: clocks/timer
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/clocks.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div id="titlebarClocks" title="Clocks" class="titlebar grouped">
		<!-- left button group -->
		<div class="button-group float-left">
		</div>
		<!-- center button group -->
		<div class="button-group float-center wide hide-on-mobile">
			<div class="view-switcher">
				<a class="" href="{{ site.baseurl }}/clocks/world"><div class="icon s16">{%- include symbolic/maps/globe-symbolic.svg -%}</div><span>World</span></a
				><a class="" href="{{ site.baseurl }}/clocks/alarm"><div class="icon s16">{%- include symbolic/status/alarm-symbolic.svg -%}</div><span>Alarms</span></a
				><a class=""  href="{{ site.baseurl }}/clocks/stopwatch"><div class="icon s16">{%- include symbolic/apps/stopwatch-symbolic.svg -%}</div><span>Stopwatch</span></a
				><a class="active" href="{{ site.baseurl }}/clocks/timer"><div class="icon s16">{%- include symbolic/apps/timer-symbolic.svg -%}</div><span>Timer</span></a>
			</div>
		</div>
		<!-- right button group -->
		<div class="button-group float-right"><a class="button image-button">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<br>
			<div class="row">
				<div class="timer linked">
					<input type="number" value="0" min="0" max="24" class="entry left" ><input type="number" value="0" min="0" max="60" class="middle entry"><input type="number" value="0" min="0" max="60" class="entry right">
				</div>
				<div class="controls text-center">

					<a href="#" class="button float-left text-button suggested-action" id="timerStartButton" onClick="$(this).hide();$('#timerPauseButton').show();">Start</a>
					<a href="#" class="button float-left text-button" id="timerPauseButton" onClick="$(this).hide();$('#timerStartButton').show();">Pause</a>
					<a href="#" class="button float-right text-button" id="timerCancelButton">Cancel</a>
				</div>
			</div>
			<br>
			<div class="row">
				<h4>Recent Timers</h4>
				<ul class="listrow">
					<li class="">
						<label>15 minutes</label>
						<a style="margin-left: 6px;" onclick="$(this).parent().hide();" href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<a href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</a>
					</li>
					<li class="">
						<label>30 minutes</label>
						<a style="margin-left: 6px;" onclick="$(this).parent().hide();" href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<a href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</a>
					</li>
					<li class="">
						<label>1 hour 30 minutes</label>
						<a style="margin-left: 6px;" onclick="$(this).parent().hide();" href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<a href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</a>
					</li>
					<li class="">
						<label>5 minutes</label>
						<a style="margin-left: 6px;" onclick="$(this).parent().hide();" href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<a href="#" class="button float-right image-button undecorated">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</a>
					</li>
				</li>
			</div>
		</div>
	</div>
	<!-- toolbar -->
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher">
			<a class="" href="{{ site.baseurl }}/clocks/world"><div class="icon s16">{%- include symbolic/maps/globe-symbolic.svg -%}</div><span>World</span></a
			><a class="" href="{{ site.baseurl }}/clocks/alarm"><div class="icon s16">{%- include symbolic/status/alarm-symbolic.svg -%}</div><span>Alarms</span></a
			><a class=""  href="{{ site.baseurl }}/clocks/stopwatch"><div class="icon s16">{%- include symbolic/apps/stopwatch-symbolic.svg -%}</div><span>Stopwatch</span></a
			><a class="active" href="{{ site.baseurl }}/clocks/timer"><div class="icon s16">{%- include symbolic/apps/timer-symbolic.svg -%}</div><span>Timer</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
$('#timerPauseButton').hide();
</script>